Get Subscribers
curl --request GET \
--url https://api.aimtell.com/prod/subscribers/{id} \
--header 'X-Authorization-Api-Key: <api-key>'import requests
url = "https://api.aimtell.com/prod/subscribers/{id}"
headers = {"X-Authorization-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Authorization-Api-Key': '<api-key>'}};
fetch('https://api.aimtell.com/prod/subscribers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 8032,
"skip": 0,
"limit": 2,
"segmentId": null,
"filter": null,
"subscribers": [
{
"subscriberId": "001f6728-a026-5f78-1ae4-91966dc12638",
"deviceType": "desktop",
"browserName": "Chrome",
"operatingSystemCode": "Windows",
"browserLang": "en-GB",
"region": "Wigan",
"city": "Wigan",
"ip": "34.225.243.14",
"country": "United Kingdom",
"postal": "",
"idSite": "300",
"alias": {
"user": "mwilson_84",
"email_hash": "22c97d5b39c408d857dff71fe825bb1c"
},
"attributes": {
"username": "mwilson84",
"subscription_url": "https://example.com/blog/push-notifications-guide"
},
"createdAt": "2024-09-13 13:01:31",
"notifications": [
{
"title": "Welcome to Aimtell",
"body": "Thanks for subscribing! Check out our latest features.",
"icon": "https://cdn.aimtell.io/user/uploads/siteicons.aimtell.com/icon_300_1497911257.png",
"link": "https://aimtell.com/welcome",
"read": "1",
"timestamp": 1726232722
}
]
},
{
"subscriberId": "00274db4-4fe3-c15d-4898-e55887411179",
"deviceType": "desktop",
"browserName": "Chrome",
"operatingSystemCode": "Mac OS X",
"browserLang": "en-US",
"region": "Colorado",
"city": "Denver",
"ip": "73.92.148.201",
"country": "United States",
"postal": "80202",
"idSite": "300",
"alias": {
"user": "jsmith_denver",
"email_hash": "a7f3c2e9b48d5116f0c71d8e4b2a9c05"
},
"attributes": {
"username": "jsmith_denver",
"subscription_url": "https://example.com/deals/holiday-2024"
},
"createdAt": "2024-11-21 15:53:15",
"notifications": [
{
"title": "Black Friday Sale",
"body": "Our biggest sale of the year is live now.",
"icon": "https://cdn.aimtell.io/user/uploads/siteicons.aimtell.com/icon_300_1497911257.png",
"link": "https://aimtell.com/black-friday-sale-customers",
"read": "0",
"timestamp": 1732892400
}
]
}
]
}{
"result": "error",
"message": "Invalid token.",
"error_code": 71831
}Subscribers
Get Subscribers
Fetches subscribers for a given site. Optionally filter by segment or a specific subscriber.
GET
/
prod
/
subscribers
/
{id}
Get Subscribers
Authorizations
Path Parameters
Site ID
Query Parameters
Maximum number of results to return per page.
Number of results to skip for pagination (offset).
Accepts attributes, notifications, or both as a comma-separated list (e.g. attributes,notifications).
Note: the read field on notifications does not indicate impressions or delivery. It is used within the Notification Center (coming soon).
The ID of the segment you wish to filter by.
The specific subscriber ID to pull data for.
Response
200
⌘I

